PLZIP(1)

NAME
plzip - reduces the size of files

SYNOPSIS
plzip [options] [files]

DESCRIPTION
Plzip is a massively parallel (multi-threaded) implementation of lzip, fully compatible with lzip 1.4 or newer. Plzip uses the compression library lzlib.

Lzip is a lossless data compressor with a user interface similar to the one of gzip or bzip2. Lzip uses a simplified form of the 'Lempel-Ziv-Markov chain-Algorithm' (LZMA) stream format and provides a 3 factor integrity checking to maximize interoperability and optimize safety. Lzip can compress about as fast as gzip (lzip -0) or compress most files more than bzip2 (lzip -9). Decompression speed is intermediate between gzip and bzip2. Lzip is better than gzip and bzip2 from a data recovery perspective. Lzip has been designed, written, and tested with great care to replace gzip and bzip2 as the standard general-purpose compressed format for unix-like systems.

Plzip can compress/decompress large files on multiprocessor machines much faster than lzip, at the cost of a slightly reduced compression ratio (0.4 to 2 percent larger compressed files). Note that the number of usable threads is limited by file size; on files larger than a few GB plzip can use hundreds of processors, but on files of only a few MB plzip is no faster than lzip.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-a, --trailing-error
    exit with error status if trailing data

-B, --data-size=<bytes>
    set size of input data blocks [2x8=16 MiB]

-c, --stdout
    write to standard output, keep input files

-d, --decompress
    decompress

-f, --force
    overwrite existing output files

-F, --recompress
    force re-compression of compressed files

-k, --keep
    keep (don't delete) input files

-l, --list
    print (un)compressed file sizes

-m, --match-length=<bytes>
    set match length limit in bytes [36]

-n, --threads=<n>
    set number of (de)compression threads [2]

-o, --output=<file>
    write to <file>, keep input files

-q, --quiet
    suppress all messages

-s, --dictionary-size=<bytes>
    set dictionary size limit in bytes [8 MiB]

-t, --test
    test compressed file integrity

-v, --verbose
    be verbose (a 2nd -v gives more)

-0 .. -9
    set compression level [default 6]

--fast
    alias for -0

--best
    alias for -9

--loose-trailing
    allow trailing data seeming corrupt header

--in-slots=<n>
    number of 1 MiB input packets buffered [4]

--out-slots=<n>
    number of 1 MiB output packets buffered [64]

--check-lib
    compare version of lzlib.h with liblz.{a,so}

If no file names are given, or if a file is '-', plzip compresses or decompresses from standard input to standard output. Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc... Dictionary sizes 12 to 29 are interpreted as powers of two, meaning 2^12 to 2^29 bytes.

The bidimensional parameter space of LZMA can't be mapped to a linear scale optimal for all files. If your files are large, very repetitive, etc, you may need to use the options --dictionary-size and --match-length directly to achieve optimal performance.

To extract all the files from archive 'foo.tar.lz', use the commands 'tar -xf foo.tar.lz' or 'plzip -cd foo.tar.lz | tar -xf -'.

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (e.g., bug) which caused plzip to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Plzip home page: http://www.nongnu.org/lzip/plzip.html

COPYRIGHT
Copyright © 2009 Laszlo Ersek.
Copyright © 2022 Antonio Diaz Diaz. Using lzlib 1.13 License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for plzip is maintained as a Texinfo manual. If the info and plzip programs are properly installed at your site, the command

    info plzip

should give you access to the complete manual.